hspec-core-2.4.3: A Testing Framework for Haskell

Stability | provisional
Safe Haskell | None
Language | Haskell2010

Test.Hspec.Core.QuickCheck

Description

Synopsis

- modifyMaxSuccess :: (Int -> Int) -> SpecWith a -> SpecWith a
- modifyMaxDiscardRatio :: (Int -> Int) -> SpecWith a -> SpecWith a
- modifyMaxSize :: (Int -> Int) -> SpecWith a -> SpecWith a

# Documentation

modifyMaxSuccess :: (Int -> Int) -> SpecWith a -> SpecWith a #

Use a modified `maxSuccess` for given spec.

modifyMaxDiscardRatio :: (Int -> Int) -> SpecWith a -> SpecWith a #

Use a modified `maxDiscardRatio` for given spec.

modifyMaxSize :: (Int -> Int) -> SpecWith a -> SpecWith a #

Use a modified `maxSize` for given spec.